net.sf.jasperreports.engine.type

## Enum JsonOperatorEnum

- java.lang.Object
- - java.lang.Enum<JsonOperatorEnum>
  - - net.sf.jasperreports.engine.type.JsonOperatorEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<JsonOperatorEnum>

      public enum JsonOperatorEnum
      extends java.lang.Enum<JsonOperatorEnum>

  Version:
    $Id: JsonOperatorEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQ`
    `GE`
    `GT`
    `LE`
    `LT`
    `NE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JsonOperatorEnum` | `getByValue(java.lang.String value)`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getValue()`
    `static JsonOperatorEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JsonOperatorEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LT

          public static final JsonOperatorEnum LT

    - #### LE

          public static final JsonOperatorEnum LE

    - #### GT

          public static final JsonOperatorEnum GT

    - #### GE

          public static final JsonOperatorEnum GE

    - #### EQ

          public static final JsonOperatorEnum EQ

    - #### NE

          public static final JsonOperatorEnum NE

  - ### Method Detail

    - #### values

          public static JsonOperatorEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JsonOperatorEnum c : JsonOperatorEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JsonOperatorEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public final java.lang.String getValue()

    - #### getName

          public java.lang.String getName()

    - #### getByValue

          public static JsonOperatorEnum getByValue(java.lang.String value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com